• Codeby web-security - Курс "Тестирование Веб-Приложений на проникновение с нуля" от команды codeby. Общая теория, подготовка рабочего окружения, пассивный фаззинг и фингерпринт, Активный фаззинг, Уязвимости, Пост-эксплуатация, Инструментальные средства, Social Engeneering и многое другое. Подробнее ...

  • Мобильный клиент нашего форума для Android гаджетов доступен в Google Play Market по этой ссылке. Клиент можно скачать с нашего форума по этой ссылке. Последняя версия МК в нашем телеграм канале вот здесь. Мобильный клиент для IOS находится в itunes по этой ссылке

Статья Сборка Kali из Live-сборок на Debian системе

ghost

penetration testing
Red Team
12.05.2016
1 430
2 657
#1
kali-livebuild-debian-1.png

Мы используем live-сборки для создания наших официальных релизов Kali всякий раз, когда мы можем, и настоятельно рекомендуем пользователям перейти и строить свои собственные настроенные версии Kali. Наша
Для просмотра контента необходимо: Войти или зарегистрироваться
является одним из самых популярных пунктов на нашем
Для просмотра контента необходимо: Войти или зарегистрироваться
и Kali Dojo также вращается вокруг этой темы. Мы любим его и наши пользователи любят его.

Всегда был тот факт, что вам нужна система Kali, построенная из live-сборки системы Kali. Причина этого заключается в том, что небольшие изменения в оригинальном deboostrap и пакеты live-сборки необходимы для создания Kali ISO. В Kali эти изменения уже включены, однако в некоторых
Для просмотра контента необходимо: Войти или зарегистрироваться
дистрибутивах необходимо получить ISO для нашей сборки.

Сегодня мы обновили наш сайт документации, чтобы включить инструкции о том, как собрать
Для просмотра контента необходимо: Войти или зарегистрироваться
на других Debian системах, таких как Debian 9 (Stretch) и Ubuntu 16.04 и 18.04. Надеюсь, это позволит пользователям, работающих в Debian подобных дистрибутивах, проверить работу в Kali и поиграть с одним из его особенных инструментов.

Создание пользовательских Kali релизов из live-сборок - это не так страшно, как может показаться, так что не упустите воспользоваться этим шансом!

Сборка Kali на Не-Kali Debian базирующихся системах

Вы можете легко запустить live-сборку на основе Debian систем, отличных от Kali. Инструкции ниже были протестирована для работы с Debian и Ubuntu.

Во-первых, подготовьте систему путем обеспечения её полного обновления, затем приступаем к скачиванию архива ключей Kali и пакетов для live-сборки. Последние версии этих пакетов всегда можно найти на
Для просмотра контента необходимо: Войти или зарегистрироваться
и
Для просмотра контента необходимо: Войти или зарегистрироваться
соответственно.

Код:
sudo apt update
sudo apt upgrade

wget http://http.kali.org/pool/main/k/kali-archive-keyring/kali-archive-keyring_2018.1_all.deb
wget https://archive.kali.org/kali/pool/main/l/live-build/live-build_20180618kali1_all.deb
С этим завершено, мы установим ранее загруженные файлы и некоторые дополнительные зависимости.

Код:
sudo apt install git live-build cdebootstrap debootstrap curl
sudo dpkg -i kali-archive-keyring_2018.1_all.deb
sudo dpkg -i live-build_20180618kali1_all.deb
Со средой окружения всё подготовлено, мы начинаем процесс live-сборки путем создания сценария сборки и проверки конфигурации построения.

Код:
cd /usr/share/debootstrap/scripts/
echo "default_mirror http://http.kali.org/kali"; sed -e "s/debian-archive-keyring.gpg/kali-archive-keyring.gpg/g" sid > /tmp/kali
sudo mv /tmp/kali .
sudo ln -s kali kali-rolling

cd ~
git clone git://git.kali.org/live-build-config.git

cd live-build-config
На данный момент мы должны отредактировать build.sh сценарий, чтобы обойти проверку версиё. Мы делаем это просто закомментировав «exit 1» ниже.

Код:
# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
if ! echo "$ver_debootstrap" | grep -q kali; then
echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
exit 1
fi
fi
С учетом этого сделаного изменения сценарий должен выглядеть следующим образом:

Код:
# Check we have a good debootstrap
ver_debootstrap=$(dpkg-query -f '${Version}' -W debootstrap)
if dpkg --compare-versions "$ver_debootstrap" lt "1.0.97"; then
if ! echo "$ver_debootstrap" | grep -q kali; then
echo "ERROR: You need debootstrap >= 1.0.97 (or a Kali patched debootstrap). Your current version: $ver_debootstrap" >&2
# exit 1
fi
fi
Теперь мы можем собрать наш ISO как обычно:

Код:
sudo ./build.sh --variant light --verbose

Необязательное тестирование

После того, как вы получите Kali сборку, вы можете быстро проверить созданный ISO. Существует быстрый способ, который вы можете сделать с помощью QEMU. На Ubuntu вы просто должны подготовитm системe, установив несколько пакетов:

Код:
sudo apt install qemu-kvm libvirt-bin ubuntu-vm-builder bridge-utils
sudo adduser `id -un` kvm
newgrp kvm
Закончив с этим, мы проведём установку Kali, создав образ динамического диска и затем загрузившись с нашего недавно созданного ISO. Не беспокойтесь о диске, размер это будет расти, поскольку необходимо, чтобы вы случайно не заполнили ваш диск просто путем создания диска.

Код:
qemu-img create -f qcow2 kali-disk.img 100G
kvm --name Kali -m 1024 -hda kali-disk.img -cdrom kali-linux-light-rolling-amd64.iso -boot d

02-screen_shot_2018-07-14_at_10.53.36_am.png

На этом этапе можно запустить live экземпляр Kali или установить его на виртуальный диск. Если мы пойдём дальше и установим его, мы бы тогда позже могли запустить вновь созданную виртуальную машину с помощью команды:

Код:
kvm --name Kali -m 1024 -hda kali-disk.img -boot c

01-screen_shot_2018-07-14_at_11.05.07_am.png

Есть несколько удовлетворяющих вещей, а именно, как работает своя собственная установка Linux, которую вы создали и оптимизировали то, что вам нужно. Зачем ждать со способом сборки Kali на других Debian базированных дистрибутивах и быстрым способом проверки этого?

Для просмотра контента необходимо: Войти или зарегистрироваться
 

Sdr

Well-known member
20.01.2016
47
46
#2
Офтоп
А можно ли сделать Live сборку из уже установленного и настроенного под себя Arch?
 
Вверх Снизу